<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include("../scripts/session.php");
	//Validar Session
   $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
   if(!$sesion->isValida("4"))
   { /*Sesion invalida*/
		header("Location: ../login.php?err=NoSesion");
   }/*no hay sesion 629 37 635 plaza mexico plaza bonita, desnivel, me bajo en cuanto salga del desnivel, esa calle se llama libra
    pared gris y la puerta color rojo libra 356*/
   else
   {
	  $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
   }//fin validar session

$nombrec=$_POST['nombreinv'];
   $elrfc=$_POST['rfcdi'];
   $centro=$_POST['idcent'];
    $icentro=$_POST['idcentro1'];
   $cuenta=$_POST['copia_cuenta'];
   $icentro=$_POST['idcentro'];
    $ipago=$_POST['pago'];
	$ibanco=$_POST['banco'];
	$ifolio=$_POST['folio'];
	$ifecha=$_POST['fecha_i'];
   
   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   		function FechaFormateada($FechaStamp)
	   		{
				$ano = date('Y',$FechaStamp); //<-- A�o
				$mes = date('m',$FechaStamp); //<-- n�mero de mes (01-31)
				$dia = date('d',$FechaStamp); //<-- D�a del mes (1-31)
				$dialetra = date('w',$FechaStamp);  //D�a de la semana(0-7)
				switch($dialetra)
				{
					case 0: $dialetra="Domingo"; break;
					case 1: $dialetra="Lunes"; break;
					case 2: $dialetra="Martes"; break;
					case 3: $dialetra="Mi�rcoles"; break;
					case 4: $dialetra="Jueves"; break;
					case 5: $dialetra="Viernes"; break;
					case 6: $dialetra="S�bado"; break;
				}

				switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
				return "$dialetra, $dia de $mesletra de $ano";
			}

			$fecha = time();
  			$fechaT = FechaFormateada($fecha);
  			$hora = date("h:i A",time());

  		// **********************************************************************************

			$qDG="SELECT rfc, idprom, inversionista.nombre, appat, apmat, domicilio, cp, ciudad, colonia, estados.nombre, id_inver FROM inversionista join estados
			on (inversionista.estados_idestado=estados.idestado) WHERE rfc = '".$elrfc."' order by id_inver desc";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_col = $rDG[8];
				$dg_est = $rDG[9];
				$id_inver = $rDG[10];
		   	};

		
          $gtot=0; $puntos=0;
	   		echo "<br><center><br><font size=\"6\" color=\"red\">Forma Prelimimar</font><br>";
		
			echo"<br><FORM ACTION='nota_salida5.php' method='POST'><br>Fecha: $fechaT $hora
			<br>Nombre:  $dg_nom $dg_apP $dg_apM
			<br>Domicilio:$dg_dom Colonia: $dg_col
			<br>C.P.:$dg_cp  $dg_ciudad, $dg_est
			
			<br>ID:".$id_inv." CI: $centro<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$A5[$k]=$_POST["copia_puntos$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
					$puntot=$A1[$k]*$A5[$k];
					$puntos+=$puntot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\" width=\"160\">$A2[$k]</td>  
					<td align=\"center\" width=\"40\">$A3[$k]</td><td align=\"center\" width=\"70\">$tot</td></font></tr>";
		   		}	
		   	}
			
			
		   	echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot</td></tr>
			<tr><td></td><td></td><td>Puntos:</td><td align=\"center\" width=\"70\">$puntos</td></tr>
			</table><center>";
			
	
			echo "  <br><br>";
			for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$idprod = $_POST["copia_id_prod$k"];
					$cprecio = $_POST["copia_precio$k"];
	   				$canti = $_POST["cant$k"];
	   				$nombrep = $_POST["copia_nombreProd$k"];
	   				
	   				
					echo "<input type=hidden name=copia_id_prod$k value='$idprod'>
					<input type=hidden name=copia_gtot value='$gtot'>
					
						  <input type=hidden name=copia_precio$k value='$cprecio'>
						  <input type=hidden name=cant$k value='$canti'> 
						  <input type=hidden name=copia_nombreProd$k value='$nombrep'>
						  ";
		   		}	
		   	}
			echo "  <input type=hidden name=c_id_inv value='$id_inv'>
				  <input type=hidden name=copia_clave_cd value='$centro'>
				  <input type=hidden name=copia_cuenta value='$cuenta'>
				  <input type=hidden name=copia_ptos value='$puntos'>
				  <input type=hidden name=pago value=$ipago>
				  <input type=hidden name=fechad value=$ifecha>
				  <input type=hidden name=banco value=$ibanco>
				  <input type=hidden name=folio value=$ifolio>
				  <input type=hidden name=idcent value=$centro>
				  <input type=hidden name=idcentro value=$icentro>";
			
			
			echo "<p style='font-weight:bold; color: red; font-size:20px'> !! FAVOR DE REVISAR MUY BIEN <br />EL PEDIDO ANTES DE DAR CLICK !! </p><br />";		
			echo "<input type='button' value='Cancelar Pedido' onclick=\"parent.location = 'index.php'\"> &nbsp;&nbsp;
					<INPUT TYPE=\"SUBMIT\" NAME='confirmap'  VALUE=\"Confirmar Pedido\" >
						</FORM>	
					</body>
				</html>";
	 //  }
//}

		

		

   

   

?>

